MWAWPictOLEContainer Class Reference

an abstract class which defines a simple container to store ole data More...

`#include <MWAWPictOLEContainer.hxx>`

Inheritance diagram for MWAWPictOLEContainer:

## Public Member Functions

virtual Type | getType () const
| returns the picture type More...
virtual bool | getBinary (WPXBinaryData &res, std::string &s) const
| returns the final WPXBinary oleContainer More...
virtual bool | valid () const
| returns true if the picture is valid More...
bool | isEmpty () const
| returns true if the picture is valid and has size 0 or contains no oleContainer More...
virtual int | cmp (MWAWPict const &a) const
| a virtual function used to obtain a strict order, must be redefined in the subs class More...
Public Member Functions inherited from MWAWPict
virtual | ~MWAWPict ()
| virtual destructor More...
Box2f | getBdBox () const
| returns the bdbox of the picture More...
void | setBdBox (Box2f const &box)
| sets the bdbox of the picture More...

## Static Public Member Functions

static MWAWPictOLEContainer * | get (MWAWInputStreamPtr input, int size)
| checks if size is positive, More...

## Protected Member Functions

| MWAWPictOLEContainer (Box2f)
| protected constructor: use check to construct a picture More...
| MWAWPictOLEContainer ()
Protected Member Functions inherited from MWAWPict
void | extendBDBox (float val)
| udaptes the bdbox, by extended it by (val-previousVal) More...
| MWAWPict ()
| protected constructor must not be called directly More...
| MWAWPict (MWAWPict const &p)
| protected constructor must not be called directly More...
MWAWPict & | operator= (MWAWPict const &p)
| protected operator= must not be called directly More...

## Static Protected Member Functions

static ReadResult | checkOrGet (MWAWInputStreamPtr input, int size, Box2f &box, MWAWPictOLEContainer **result=0L)
| checks if size is >= 0 More...
Static Protected Member Functions inherited from MWAWPict
static Box2f | getBdBox (int numPt, Vec2f const *pt)
| computes the minimum and maximum of a list of point More...

## Protected Attributes

WPXBinaryData | m_data
| the oleContainer size (without the empty header of 512 characters) More...
bool | m_empty
| some picture can be valid but empty More...

## Additional Inherited Members

Public Types inherited from MWAWPict
enum | Type { Basic, PictData, Bitmap, OleContainer, Unknown }
| the different picture types: More...
enum | ReadResult { MWAW_R_BAD =0, MWAW_R_OK, MWAW_R_OK_EMPTY, MWAW_R_MAYBE }
| an enum to defined the result of a parsing use by some picture's classes which can read their data More...

## Detailed Description

an abstract class which defines a simple container to store ole data

## Constructor & Destructor Documentation

MWAWPictOLEContainer::MWAWPictOLEContainer | ( | Box2f |  | ) |

inline protected

protected constructor: use check to construct a picture

MWAWPictOLEContainer::MWAWPictOLEContainer | ( |  | ) |

inline protected

## Member Function Documentation

MWAWPictOLEContainer::ReadResult MWAWPictOLEContainer::checkOrGet | ( | MWAWInputStreamPtr | input,
|  | int | size,
|  | Box2f & | box,
|  | MWAWPictOLEContainer ** | result = `0L`
| ) |  |

static protected

checks if size is >= 0

- if not returns MWAW_R_BAD
- if true
  - creates a picture if result is given and if the picture is not empty

Referenced by get().

virtual int MWAWPictOLEContainer::cmp | ( | MWAWPict const & | a | ) | const

inline virtual

a virtual function used to obtain a strict order, must be redefined in the subs class

Reimplemented from MWAWPict.

static MWAWPictOLEContainer* MWAWPictOLEContainer::get | ( | MWAWInputStreamPtr | input,
|  | int | size
| ) |  |

inline static

checks if size is positive,

- if not or if the pict is empty, returns 0L
- if not returns a container of picture

virtual bool MWAWPictOLEContainer::getBinary | ( | WPXBinaryData & | res,
|  | std::string & | s
| ) |  | const

inline virtual

returns the final WPXBinary oleContainer

Reimplemented from MWAWPict.

virtual Type MWAWPictOLEContainer::getType | ( |  | ) | const

inline virtual

returns the picture type

Implements MWAWPict.

bool MWAWPictOLEContainer::isEmpty | ( |  | ) | const

inline

returns true if the picture is valid and has size 0 or contains no oleContainer

Referenced by getBinary().

virtual bool MWAWPictOLEContainer::valid | ( |  | ) | const

inline virtual

returns true if the picture is valid

Referenced by getBinary().

## Member Data Documentation

WPXBinaryData MWAWPictOLEContainer::m_data

protected

the oleContainer size (without the empty header of 512 characters)

Referenced by cmp(), and getBinary().

bool MWAWPictOLEContainer::m_empty

protected

some picture can be valid but empty

Referenced by cmp(), isEmpty(), and valid().

The documentation for this class was generated from the following files:

- MWAWPictOLEContainer.hxx
- MWAWPictOLEContainer.cxx